"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const incrementalImport = async (pool, events) => {
  try {
    const importId = await pool.beginIncrementalImport();
    await pool.pushIncrementalImport(events, importId);
    await pool.commitIncrementalImport(importId);
  } catch (error) {
    await pool.rollbackIncrementalImport();
    throw error;
  }
};

var _default = incrementalImport;
exports.default = _default;
//# sourceMappingURL=incremental-import.js.map