"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const wrapSaveEvent = saveEvent => async (pool, ...args) => {
  if (typeof pool.isFrozen === 'function' && (await pool.isFrozen())) {
    throw new Error('Event store is frozen');
  }

  return await saveEvent(pool, ...args);
};

var _default = wrapSaveEvent;
exports.default = _default;
//# sourceMappingURL=wrap-save-event.js.map