import { CheckForResourceError } from './types';
interface ResourceError extends Error {
    code: number;
    name: string;
}
export declare const ResourceAlreadyExistError: {
    new (message: string): ResourceError;
    is: (error: any) => boolean;
};
export declare const ResourceNotExistError: {
    new (message: string): ResourceError;
    is: (error: any) => boolean;
};
export declare const maybeThrowResourceError: CheckForResourceError;
export {};
